# Uses of Interface
org.eclipse.ecf.remoteservice.IRemoteServiceReference

Packages that use IRemoteServiceReference
Package
Description
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.events
org.eclipse.ecf.remoteservice.rest.client
org.eclipse.ecf.remoteservice.servlet
org.eclipse.ecf.remoteservice.util
org.eclipse.ecf.remoteservice.util.tracker

## Uses of IRemoteServiceReference in org.eclipse.ecf.provider.remoteservice.generic

Classes in org.eclipse.ecf.provider.remoteservice.generic that implement IRemoteServiceReference
Modifier and Type
Class
Description
`class`
`RemoteServiceReferenceImpl`
Methods in org.eclipse.ecf.provider.remoteservice.generic that return IRemoteServiceReference
Modifier and Type
Method
Description
`IRemoteServiceReference[]`
RegistrySharedObject.`getAllRemoteServiceReferences(String clazz, String filter)`
`IRemoteServiceReference[]`
RemoteServiceContainer.`getAllRemoteServiceReferences(String clazz, String filter)`
`IRemoteServiceReference`
RemoteServiceRegistrationImpl.`getReference()`
`IRemoteServiceReference`
RegistrySharedObject.`getRemoteServiceReference(IRemoteServiceID serviceId)`
`IRemoteServiceReference`
RemoteServiceContainer.`getRemoteServiceReference(IRemoteServiceID serviceID)`
`protected IRemoteServiceReference`
RemoteServiceImpl.`getRemoteServiceReference()`
`IRemoteServiceReference[]`
RegistrySharedObject.`getRemoteServiceReferences(ID[] idFilter, String clazz, String filter)`
`IRemoteServiceReference[]`
RegistrySharedObject.`getRemoteServiceReferences(ID targetID, String clazz, String filter)`
`IRemoteServiceReference[]`
RegistrySharedObject.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`
`IRemoteServiceReference[]`
RemoteServiceContainer.`getRemoteServiceReferences(ID[] idFilter, String clazz, String filter)`
`IRemoteServiceReference[]`
RemoteServiceContainer.`getRemoteServiceReferences(ID target, String clazz, String filter)`
`IRemoteServiceReference[]`
RemoteServiceContainer.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`
`IRemoteServiceReference[]`
RemoteServiceRegistryImpl.`lookupServiceReferences()`
`IRemoteServiceReference[]`
RemoteServiceRegistryImpl.`lookupServiceReferences(String clazz, IRemoteFilter filter)`
Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type IRemoteServiceReference
Modifier and Type
Method
Description
`protected void`
RegistrySharedObject.`fireCallStartEvent(IRemoteCallListener listener, long requestId, IRemoteServiceReference reference, IRemoteCall call)`
`IRemoteService`
RegistrySharedObject.`getRemoteService(IRemoteServiceReference reference)`
`IRemoteService`
RemoteServiceContainer.`getRemoteService(IRemoteServiceReference ref)`
`boolean`
RemoteFilterImpl.`match(IRemoteServiceReference reference)`
`boolean`
RegistrySharedObject.`ungetRemoteService(IRemoteServiceReference ref)`
`boolean`
RemoteServiceContainer.`ungetRemoteService(IRemoteServiceReference ref)`

## Uses of IRemoteServiceReference in org.eclipse.ecf.remoteservice

Classes in org.eclipse.ecf.remoteservice that implement IRemoteServiceReference
Modifier and Type
Class
Description
`class`
`RemoteServiceReferenceImpl`
Fields in org.eclipse.ecf.remoteservice declared as IRemoteServiceReference
Modifier and Type
Field
Description
`protected IRemoteServiceReference`
AbstractRemoteCallListener.`remoteReference`
Fields in org.eclipse.ecf.remoteservice with type parameters of type IRemoteServiceReference
Modifier and Type
Field
Description
`protected final Map<IRemoteServiceReference,List<AbstractRemoteService>>`
RemoteServiceContainerAdapterImpl.`refToImplMap`
Methods in org.eclipse.ecf.remoteservice that return IRemoteServiceReference
Modifier and Type
Method
Description
`IRemoteServiceReference[]`
IRemoteServiceConsumer.`getAllRemoteServiceReferences(String clazz, String filter)`
Returns an array of `IRemoteServiceReference` objects.
`IRemoteServiceReference[]`
IRemoteServiceContainerAdapter.`getAllRemoteServiceReferences(String clazz, String filter)`
Returns an array of `IRemoteServiceReference` objects.
`IRemoteServiceReference[]`
RemoteServiceContainerAdapterImpl.`getAllRemoteServiceReferences(String clazz, String filter)`
`IRemoteServiceReference`
IRemoteServiceRegistration.`getReference()`
Get reference for this registration
`IRemoteServiceReference`
RemoteServiceRegistrationImpl.`getReference()`
`protected IRemoteServiceReference`
AbstractRemoteCallListener.`getRemoteServiceReference()`
`protected abstract IRemoteServiceReference`
AbstractRemoteService.`getRemoteServiceReference()`
`IRemoteServiceReference`
IRemoteServiceConsumer.`getRemoteServiceReference(IRemoteServiceID serviceID)`
Get the remote service reference known to this container for the given IRemoteServiceID.
`IRemoteServiceReference`
IRemoteServiceContainerAdapter.`getRemoteServiceReference(IRemoteServiceID serviceID)`
Get the remote service reference known to this container for the given IRemoteServiceID.
`IRemoteServiceReference`
IRemoteServiceProxy.`getRemoteServiceReference()`
Get IRemoteService reference associated with this proxy.
`IRemoteServiceReference`
RemoteServiceContainerAdapterImpl.`getRemoteServiceReference(IRemoteServiceID serviceID)`
`IRemoteServiceReference[]`
IRemoteServiceConsumer.`getRemoteServiceReferences(ID[] idFilter, String clazz, String filter)`
Returns an array of `IRemoteServiceReference` objects.
`IRemoteServiceReference[]`
IRemoteServiceConsumer.`getRemoteServiceReferences(ID target, String clazz, String filter)`
Returns an array of `IRemoteServiceReference` objects.
`IRemoteServiceReference[]`
IRemoteServiceConsumer.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`
Returns an array of `IRemoteServiceReference` objects.
`IRemoteServiceReference[]`
IRemoteServiceContainerAdapter.`getRemoteServiceReferences(ID[] idFilter, String clazz, String filter)`
Returns an array of `IRemoteServiceReference` objects.
`IRemoteServiceReference[]`
IRemoteServiceContainerAdapter.`getRemoteServiceReferences(ID target, String clazz, String filter)`
Returns an array of `IRemoteServiceReference` objects.
`IRemoteServiceReference[]`
IRemoteServiceContainerAdapter.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`
Returns an array of `IRemoteServiceReference` objects.
`IRemoteServiceReference[]`
RemoteServiceContainerAdapterImpl.`getRemoteServiceReferences(ID[] idFilter, String clazz, String filter)`
`IRemoteServiceReference[]`
RemoteServiceContainerAdapterImpl.`getRemoteServiceReferences(ID target, String clazz, String filter)`
`IRemoteServiceReference[]`
RemoteServiceContainerAdapterImpl.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`
`protected IRemoteServiceReference`
RemoteServiceContainer.`getServiceReference(ID targetId, String serviceInterfaceClass, String filter)`
`IRemoteServiceReference[]`
IRSAConsumerContainerAdapter.`importEndpoint(Map<String,Object> endpointDescriptionProperties)`
`IRemoteServiceReference[]`
RemoteServiceRegistryImpl.`lookupServiceReferences()`
`IRemoteServiceReference[]`
RemoteServiceRegistryImpl.`lookupServiceReferences(String clazz, IRemoteFilter filter)`
`protected IRemoteServiceReference`
RemoteServiceContainer.`selectReference(IRemoteServiceReference[] references)`
Methods in org.eclipse.ecf.remoteservice with parameters of type IRemoteServiceReference
Modifier and Type
Method
Description
`IRemoteService`
IRemoteServiceConsumer.`getRemoteService(IRemoteServiceReference reference)`
Get remote service for given IRemoteServiceReference.
`IRemoteService`
IRemoteServiceContainerAdapter.`getRemoteService(IRemoteServiceReference reference)`
Get remote service for given IRemoteServiceReference.
`IRemoteService`
RemoteServiceContainerAdapterImpl.`getRemoteService(IRemoteServiceReference reference)`
`protected RemoteServiceRegistrationImpl`
RemoteServiceContainerAdapterImpl.`getRemoteServiceRegistrationImpl(IRemoteServiceReference reference)`
`boolean`
IRemoteFilter.`match(IRemoteServiceReference reference)`
Filter using a remote service's properties.
`boolean`
RemoteServiceFilterImpl.`match(IRemoteServiceReference reference)`
`protected IRemoteServiceReference`
RemoteServiceContainer.`selectReference(IRemoteServiceReference[] references)`
`boolean`
IRemoteServiceConsumer.`ungetRemoteService(IRemoteServiceReference reference)`
Unget IRemoteServiceReference.
`boolean`
IRemoteServiceContainerAdapter.`ungetRemoteService(IRemoteServiceReference reference)`
Unget IRemoteServiceReference.
`boolean`
RemoteServiceContainerAdapterImpl.`ungetRemoteService(IRemoteServiceReference ref)`

## Uses of IRemoteServiceReference in org.eclipse.ecf.remoteservice.client

Classes in org.eclipse.ecf.remoteservice.client that implement IRemoteServiceReference
Modifier and Type
Class
Description
`class`
`RemoteServiceClientReference`
Reference objects for `AbstractClientContainer`.
Fields in org.eclipse.ecf.remoteservice.client declared as IRemoteServiceReference
Modifier and Type
Field
Description
`protected IRemoteServiceReference`
RemoteServiceClientRegistration.`reference`
Methods in org.eclipse.ecf.remoteservice.client that return IRemoteServiceReference
Modifier and Type
Method
Description
`IRemoteServiceReference`
RemoteServiceClientRegistry.`findServiceReference(IRemoteServiceID serviceID)`
`IRemoteServiceReference[]`
AbstractClientContainer.`getAllRemoteServiceReferences(String clazz, String filter)`
`IRemoteServiceReference[]`
RemoteServiceClientRegistry.`getAllRemoteServiceReferences(String clazz, IRemoteFilter remoteFilter)`
`IRemoteServiceReference`
RemoteServiceClientRegistration.`getReference()`
`IRemoteServiceReference`
AbstractClientContainer.`getRemoteServiceReference(IRemoteServiceID serviceID)`
`protected IRemoteServiceReference`
AbstractClientService.`getRemoteServiceReference()`
`IRemoteServiceReference[]`
AbstractClientContainer.`getRemoteServiceReferences(ID[] idFilter, String clazz, String filter)`
`IRemoteServiceReference[]`
AbstractClientContainer.`getRemoteServiceReferences(ID target, String clazz, String filter)`
`IRemoteServiceReference[]`
AbstractClientContainer.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`
`IRemoteServiceReference[]`
RemoteServiceClientRegistry.`getRemoteServiceReferences(ID[] idFilter, String clazz, IRemoteFilter remoteFilter)`
`IRemoteServiceReference[]`
RemoteServiceClientRegistry.`getRemoteServiceReferences(ID target, String clazz, IRemoteFilter remoteFilter)`
`IRemoteServiceReference[]`
RemoteServiceClientRegistry.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, IRemoteFilter filter)`
`IRemoteServiceReference[]`
AbstractRSAClientContainer.`importEndpoint(Map<String,Object> endpointDescriptionProperties)`
Methods in org.eclipse.ecf.remoteservice.client with parameters of type IRemoteServiceReference
Modifier and Type
Method
Description
`String[]`
RemoteServiceClientRegistry.`getClazzes(IRemoteServiceReference reference)`
`IRemoteService`
AbstractClientContainer.`getRemoteService(IRemoteServiceReference reference)`
`boolean`
AbstractClientContainer.`ungetRemoteService(IRemoteServiceReference reference)`

## Uses of IRemoteServiceReference in org.eclipse.ecf.remoteservice.events

Methods in org.eclipse.ecf.remoteservice.events that return IRemoteServiceReference
Modifier and Type
Method
Description
`IRemoteServiceReference`
IRemoteCallStartEvent.`getReference()`
Get remote service reference used for call.
`IRemoteServiceReference`
IRemoteServiceEvent.`getReference()`
Get the remote service reference for the unregistered service.

## Uses of IRemoteServiceReference in org.eclipse.ecf.remoteservice.rest.client

Methods in org.eclipse.ecf.remoteservice.rest.client that return IRemoteServiceReference
Modifier and Type
Method
Description
`IRemoteServiceReference[]`
AbstractRestClientContainer.`getRemoteServiceReferences(ID target, String clazz, String filter)`
`IRemoteServiceReference[]`
AbstractRestClientContainer.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`

## Uses of IRemoteServiceReference in org.eclipse.ecf.remoteservice.servlet

Methods in org.eclipse.ecf.remoteservice.servlet that return IRemoteServiceReference
Modifier and Type
Method
Description
`IRemoteServiceReference[]`
ServletServerContainer.`getAllRemoteServiceReferences(String clazz, String filter)`
`IRemoteServiceReference`
ServletServerContainer.`getRemoteServiceReference(IRemoteServiceID serviceID)`
`IRemoteServiceReference[]`
ServletServerContainer.`getRemoteServiceReferences(ID[] idFilter, String clazz, String filter)`
`IRemoteServiceReference[]`
ServletServerContainer.`getRemoteServiceReferences(ID target, String clazz, String filter)`
`IRemoteServiceReference[]`
ServletServerContainer.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`
Methods in org.eclipse.ecf.remoteservice.servlet with parameters of type IRemoteServiceReference
Modifier and Type
Method
Description
`IRemoteService`
ServletServerContainer.`getRemoteService(IRemoteServiceReference reference)`
`boolean`
ServletServerContainer.`ungetRemoteService(IRemoteServiceReference reference)`

## Uses of IRemoteServiceReference in org.eclipse.ecf.remoteservice.util

Methods in org.eclipse.ecf.remoteservice.util with parameters of type IRemoteServiceReference
Modifier and Type
Method
Description
`static boolean`
AsyncUtil.`isOSGIAsync(IRemoteServiceReference ref)`
`boolean`
RemoteFilterImpl.`match(IRemoteServiceReference reference)`

## Uses of IRemoteServiceReference in org.eclipse.ecf.remoteservice.util.tracker

Methods in org.eclipse.ecf.remoteservice.util.tracker that return IRemoteServiceReference
Modifier and Type
Method
Description
`IRemoteServiceReference`
RemoteServiceTracker.`getRemoteServiceReference()`
Returns a `ServiceReference` object for one of the services being tracked by this `RemoteServiceTracker` object.
`IRemoteServiceReference[]`
RemoteServiceTracker.`getRemoteServiceReferences()`
Return an array of `ServiceReference` objects for all services being tracked by this `RemoteServiceTracker` object.
Methods in org.eclipse.ecf.remoteservice.util.tracker with parameters of type IRemoteServiceReference
Modifier and Type
Method
Description
`IRemoteService`
IRemoteServiceTrackerCustomizer.`addingService(IRemoteServiceReference reference)`
A service is being added to the `RemoteServiceTracker` object.
`IRemoteService`
RemoteServiceTracker.`addingService(IRemoteServiceReference reference)`
Default implementation of the `IRemoteServiceTrackerCustomizer.addingService` method.
`IRemoteService`
RemoteServiceTracker.`getRemoteService(IRemoteServiceReference reference)`
Returns the service object for the specified `ServiceReference` object if the referenced service is being tracked by this `RemoteServiceTracker` object.
`void`
IRemoteServiceTrackerCustomizer.`modifiedService(IRemoteServiceReference reference, IRemoteService remoteService)`
A remote service tracked by the `RemoteServiceTracker` object has been modified.
`void`
RemoteServiceTracker.`modifiedService(IRemoteServiceReference reference, IRemoteService remoteService)`
Default implementation of the `ServiceTrackerCustomizer.modifiedService` method.
`void`
RemoteServiceTracker.`remove(IRemoteServiceReference reference)`
Remove a service from this `RemoteServiceTracker` object.
`void`
IRemoteServiceTrackerCustomizer.`removedService(IRemoteServiceReference reference, IRemoteService remoteService)`
A remote service tracked by the `RemoteServiceTracker` object has been removed.
`void`
RemoteServiceTracker.`removedService(IRemoteServiceReference reference, IRemoteService remoteService)`
Default implementation of the `ServiceTrackerCustomizer.removedService` method.
Constructors in org.eclipse.ecf.remoteservice.util.tracker with parameters of type IRemoteServiceReference
Modifier
Constructor
Description
``
`RemoteServiceTracker(IRemoteServiceContainerAdapter containerAdapter, ID[] containerIDs, IRemoteServiceReference reference, IRemoteServiceTrackerCustomizer customizer)`
Create a `RemoteServiceTracker` on the specified `IRemoteServiceReference`.